###########################################################################
#
#   mame.mak
#
#   MAME target makefile
#
#   Copyright Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################


MAMESRC = $(SRC)/mame
MAMEOBJ = $(OBJ)/mame

AUDIO = $(MAMEOBJ)/audio
DRIVERS = $(MAMEOBJ)/drivers
LAYOUT = $(MAMEOBJ)/layout
MACHINE = $(MAMEOBJ)/machine
VIDEO = $(MAMEOBJ)/video

OBJDIRS += \
	$(AUDIO) \
	$(DRIVERS) \
	$(LAYOUT) \
	$(MACHINE) \
	$(VIDEO) \



#-------------------------------------------------
# specify available CPU cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------
CPUS += M6502


#-------------------------------------------------
# specify available sound cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------


SOUNDS += DISCRETE
SOUNDS += POKEY

# hkr: füge die folgenden 3 Zeilen ein, ohne die 
# linkt es aufm Mac nicht 
SOUNDS += CDP1869
SOUNDS += CDDA
SOUNDS += CUSTOM


#-------------------------------------------------
# this is the list of driver libraries that
# comprise MAME plus mamedriv.o which contains
# the list of drivers
#-------------------------------------------------

# aufm Mac braucht's auch pckeybrd.o
# ich hau die Dependency jetzt einfach hier rein, 
# was weiß ich wo die eigentlich hingehört
DRVLIBS = \
	$(MAMEOBJ)/aster.o \
	$(MAMEOBJ)/atari.a \
	$(MAMEOBJ)/shared.a \
	$(MACHINE)/pckeybrd.o \



#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------

$(MAMEOBJ)/shared.a: \
	$(VIDEO)/avgdvg.o \


#-------------------------------------------------
# manufacturer-specific groupings for drivers
#-------------------------------------------------


$(MAMEOBJ)/atari.a: \
 	$(DRIVERS)/asteroid.o $(MACHINE)/asteroid.o $(AUDIO)/asteroid.o $(AUDIO)/llander.o \
	$(MACHINE)/atari_vg.o \


